Skip to main content
POST
/
organization
/
{organizationId}
/
apiToken
Create an organization api token
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/apiToken \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "scope": "ADMIN"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "token": "<string>",
  "role_name": "<string>",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required
role_id
string<uuid> | null
required

the roleId provided by the "List organization custom roles" endpoint.

description
string
scope
enum<string> | null

deprecated

Available options:
ADMIN

Response

Organization api token created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
read-only
name
string
description
string
token
string

the generated token to send in 'Authorization' header prefixed by 'Token '

role_name
string
role_id
string<uuid>